﻿// Licensed to the .NET Foundation under one or more agreements.
// The .NET Foundation licenses this file to you under the MIT license.
// See the LICENSE file in the project root for more information.

using System;
using System.Composition;
using Microsoft.CodeAnalysis.ExternalAccess.UnitTesting.Api;
using Microsoft.CodeAnalysis.Host;
using Microsoft.CodeAnalysis.Host.Mef;
using Microsoft.CodeAnalysis.StackTraceExplorer;

namespace Microsoft.CodeAnalysis.ExternalAccess.UnitTesting;

[ExportWorkspaceServiceFactory(typeof(IUnitTestingStackTraceServiceAccessor))]
[Shared]

internal class UnitTestingStackTraceServiceAccessorFactory : IWorkspaceServiceFactory
{
    [ImportingConstructor]
    [Obsolete(MefConstruction.ImportingConstructorMessage, error: true)]
    public UnitTestingStackTraceServiceAccessorFactory()
    {
    }

    [Obsolete(MefConstruction.FactoryMethodMessage, error: true)]
    public IWorkspaceService CreateService(HostWorkspaceServices workspaceServices)
    {
        var stackTraceExplorerService = workspaceServices.GetRequiredService<IStackTraceExplorerService>();
        return new UnitTestingStackTraceServiceAccessor(stackTraceExplorerService);
    }
}
